﻿using Syncfusion.XForms.ComboBox;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using Xamarin.Forms;

namespace ComboBoxSample
{
    public class SFCombobox : ContentPage
    {
        SfComboBox combo;
        Button btn;
        EmployeeViewModel model;
        public SFCombobox() : base()
        {
            combo = new SfComboBox();
            btn = new Button();
            model = new EmployeeViewModel();
            combo.BindingContext = model;
            combo.SelectedValuePath = "ID";
            combo.DisplayMemberPath = "Name";
            combo.Text = "Mark";
            btn.Text = "Toogle";
            btn.Clicked += Btn_Clicked;
            combo.SetBinding(SfComboBox.DataSourceProperty, "EmployeeCollection");
            this.Content = new StackLayout() { Children = { btn, combo } };
        }

        private void Btn_Clicked(object sender, EventArgs e)
        {
            combo.IsDropDownOpen = true;
        }
    }
}
